Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit
Class InfobitPool

    java.lang.Object
      |
      +--com.infodesire.infobit.InfobitPool

public final class InfobitPool
extends java.lang.Object

infobit pool - main entry point for infobits. shall handle all infobbit operations and session management

Version:
  $Revision: 1.9 $
Author:
  konstantin

Field Summary
`static java.lang.String` | `NAME` name of property ( map entry ) holding name of given infobit pool
`static java.lang.String` | `SECURITY_PROVIDER` name of property ( map entry ) holding class name of security provider.
`static java.lang.String` | `SESSION_PROVIDER` name of property ( map entry ) holding class name of hibernate session provider.

Constructor Summary
`InfobitPool()`

Method Summary
`void` | `flush()` flush given pool.
`AclManager` | `getAclManager()` provide DAO for infobit manipulation.
`InfobitManager` | `getInfobitManager()` provide DAO for infobit manipulation.
`InfobitRenderer` | `getInfobitRenderer()` Gets the RenderManager attribute of the InfobitPool object
`java.lang.String` | `getName()` Gets the Name attribute of the InfobitPool object
`void` | `init(java.util.Properties properties)` initialize pool off property map.
`void` | `setName(java.lang.String name)` Sets the Name attribute of the InfobitPool object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  name of property ( map entry ) holding name of given infobit pool

  See Also:
    Constant Field Values

### SESSION_PROVIDER

    public static final java.lang.String SESSION_PROVIDER

  name of property ( map entry ) holding class name of hibernate session provider. if not specified, default one will be used ( `com.infodesire.infobit.hibernate.DefaultSessionProvider` )

  See Also:
    Constant Field Values

### SECURITY_PROVIDER

    public static final java.lang.String SECURITY_PROVIDER

  name of property ( map entry ) holding class name of security provider. if not specified, default one will be used ( `DefaultSecurityProvider` )

  See Also:
    Constant Field Values

Constructor Detail

### InfobitPool

    public InfobitPool()

Method Detail

### getName

    public java.lang.String getName()

  Gets the Name attribute of the InfobitPool object

  Returns:
    The Name value

### getInfobitManager

    public InfobitManager getInfobitManager()

  provide DAO for infobit manipulation. do it lazy and synchronized.

  Returns:
    DAO for infobit manipulation

### getAclManager

    public AclManager getAclManager()

  provide DAO for infobit manipulation. do it lazy and synchronized.

  Returns:
    The AclDAO value

### getInfobitRenderer

    public InfobitRenderer getInfobitRenderer()

  Gets the RenderManager attribute of the InfobitPool object

  Returns:
    The RenderManager value

### setName

    public void setName(java.lang.String name)

  Sets the Name attribute of the InfobitPool object

  Parameters:
    `name` - The new Name value

### init

    public void init(java.util.Properties properties)
              throws InfobitException

  initialize pool off property map. set own name and construct session and security providers. necessary properties are defined by provider classes

  Parameters:
    `properties` - Description of Parameter
  Throws:
    `InfobitException` - Description of Exception

### flush

    public void flush()

  flush given pool. close / flush active session if any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.